//+------------------------------------------------------------------+
//|                                                    SwapAlarm.mq4 |
//|                                                        Scriptong |
//|                                                scriptong@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Scriptong"
#property link      "scriptong@mail.ru"

#property indicator_chart_window
//---- input parameters
extern bool      AlarmIfChange	= true;
extern string    A1					= "  :  (0-3), ,  ";
extern int       CommentCorner	= 2;
extern color     CommentColor		= Red;
extern int       CommentFontSize	= 9;
extern string    A2					= "----------------------------------";

double	LongSwap,
			ShortSwap,
			OldShort,
			OldLong;

int init()
{
   OldShort	= 0;
   OldLong	= 0;
	
	return(0);
}

int deinit()
{
	if ( ObjectFind ( "NewComment" ) >= 0 ) { ObjectDelete ( "NewComment" ); }
	return(0);
}

//+-------------------------------------------------------------------------------------+
//|                                                        |
//+-------------------------------------------------------------------------------------+
void NewComment ( string S )
{
	if ( ObjectFind ( "NewComment" ) < 0 )
   {
    	//  
    	if ( !ObjectCreate ( "NewComment", OBJ_LABEL, 0, 0, 0 ) ) { return; }
    	
    	ObjectSet ( "NewComment", OBJPROP_CORNER,		CommentCorner );
    	ObjectSet ( "NewComment", OBJPROP_XDISTANCE,	1 );
    	ObjectSet ( "NewComment", OBJPROP_YDISTANCE,	1 );
   }
	
	ObjectSetText( "NewComment", S, CommentFontSize, "Trebushe MS", CommentColor );
}

//+-------------------------------------------------------------------------------------+
//|                                                                 |
//+-------------------------------------------------------------------------------------+
string SwapType()
{
	switch ( MarketInfo ( Symbol(), MODE_SWAPTYPE ) )
   {
		case 0: return ( "" );
		case 1: return ( "" );
		case 2: return ( "" );
		case 3: return ( ". " );
   }
}

int start()
{
	LongSwap		= MarketInfo ( Symbol(), MODE_SWAPLONG );
	ShortSwap	= MarketInfo ( Symbol(), MODE_SWAPSHORT );
   
   if ( MathAbs ( NormalizeDouble ( LongSwap  - OldLong,  2 ) ) > 0 || 
        MathAbs ( NormalizeDouble ( ShortSwap - OldShort, 2 ) ) > 0 ||
        OldShort < Point/2.0 || OldLong < Point/2.0 )
	{
		NewComment ( "Buy Swap: " + DoubleToStr ( LongSwap, 2 ) + ", Sell Swap: " + DoubleToStr ( ShortSwap, 2 ) + " (" + SwapType() + ")" );
		
		if ( AlarmIfChange )
		{
      	if (	MathAbs ( NormalizeDouble ( LongSwap  - OldLong,  2 ) ) > 0 || 
        			MathAbs ( NormalizeDouble ( ShortSwap - OldShort, 2 ) ) > 0 ) { Alert("!    " + Symbol()); }
      }
	}  
   
	OldLong	= LongSwap;
	OldShort	= ShortSwap;  

	return(0);
}